
#ifndef __ENC28J60_H
#define __ENC28J60_H

unsigned long get_tick_count();
void enc28j60_cs(int f);
int enc28j60_io(int v);

void enc28j60_init(unsigned char const *macaddr);
int enc28j60_peek_packet();
void enc28j60_drop_packet();
void enc28j60_recv_packet(unsigned char *ptr, int maxlen);
void enc28j60_send_packet(unsigned char const *ptr, int len);

#endif

